Package org.apache.sling.jcr.base.internal.mount

## Class ProxyQueryManager

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<javax.jcr.query.QueryManager>
  - - org.apache.sling.jcr.base.internal.mount.ProxyQueryManager

All Implemented Interfaces:
  `javax.jcr.query.QueryManager`

    public class ProxyQueryManager
    extends ProxyWrapper<javax.jcr.query.QueryManager>
    implements javax.jcr.query.QueryManager

### Constructor Summary

Constructors
`ProxyQueryManager​(ProxySession<?> mountSession, javax.jcr.query.QueryManager delegate, javax.jcr.query.QueryManager delegate2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.jcr.query.Query` `createQuery​(String statement, String language)`
`javax.jcr.query.qom.QueryObjectModelFactory` `getQOMFactory()`
`javax.jcr.query.Query` `getQuery​(javax.jcr.Node node)`
`String[]` `getSupportedQueryLanguages()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyQueryManager

    public ProxyQueryManager​(ProxySession<?> mountSession,
                             javax.jcr.query.QueryManager delegate,
                             javax.jcr.query.QueryManager delegate2)

### Method Detail

#### createQuery

    public javax.jcr.query.Query createQuery​(String statement,
                                             String language)
                                      throws javax.jcr.query.InvalidQueryException,
                                             javax.jcr.RepositoryException

Specified by:
  `createQuery` in interface `javax.jcr.query.QueryManager`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### getQOMFactory

    public javax.jcr.query.qom.QueryObjectModelFactory getQOMFactory()

Specified by:
  `getQOMFactory` in interface `javax.jcr.query.QueryManager`

#### getQuery

    public javax.jcr.query.Query getQuery​(javax.jcr.Node node)
                                   throws javax.jcr.query.InvalidQueryException,
                                          javax.jcr.RepositoryException

Specified by:
  `getQuery` in interface `javax.jcr.query.QueryManager`
Throws:
  `javax.jcr.query.InvalidQueryException`
  `javax.jcr.RepositoryException`

#### getSupportedQueryLanguages

    public String[] getSupportedQueryLanguages()
                                        throws javax.jcr.RepositoryException

Specified by:
  `getSupportedQueryLanguages` in interface `javax.jcr.query.QueryManager`
Throws:
  `javax.jcr.RepositoryException`